package com.uas.ps.inquiry.model;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;
import java.util.Objects;

/**
 * 附件
 *
 * @author sunyj
 * @since 2018/1/13 13:56
 */
@Entity
@Table(name = "attachs")
public class Attach implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "at_id")
    private Long id;

    /**
     * 路径
     */
    @Column(name = "at_path")
    private String path;

    /**
     * 描述语
     */
    @Column(name = "at_description")
    private String description;

    /**
     * 文件名称
     */
    @Column(name = "at_name")
    private String name;

    /**
     * 文件大小
     */
    @Column(name = "at_size")
    private Long size;

    /**
     * 关联的表
     */
    @Column(name = "rel_table")
    private String relatedTable;

    /**
     * 关联的数据主键值
     */
    @Column(name = "rel_key")
    private Long relatedKey;

    /**
     * 保存时间
     */
    @Column(name = "at_date")
    private Date date;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getSize() {
        return size;
    }

    public void setSize(Long size) {
        this.size = size;
    }

    public String getRelatedTable() {
        return relatedTable;
    }

    public void setRelatedTable(String relatedTable) {
        this.relatedTable = relatedTable;
    }

    public Long getRelatedKey() {
        return relatedKey;
    }

    public void setRelatedKey(Long relatedKey) {
        this.relatedKey = relatedKey;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        Attach attach = (Attach) o;
        return Objects.equals(id, attach.id) &&
                Objects.equals(path, attach.path) &&
                Objects.equals(description, attach.description) &&
                Objects.equals(name, attach.name) &&
                Objects.equals(size, attach.size) &&
                Objects.equals(relatedTable, attach.relatedTable) &&
                Objects.equals(relatedKey, attach.relatedKey) &&
                Objects.equals(date, attach.date);
    }

    @Override
    public int hashCode() {

        return Objects.hash(id, path, description, name, size, relatedTable, relatedKey, date);
    }

    @Override
    public String toString() {
        return "Attach{" +
                "id=" + id +
                ", path='" + path + '\'' +
                ", description='" + description + '\'' +
                ", name='" + name + '\'' +
                ", size=" + size +
                ", relatedTable='" + relatedTable + '\'' +
                ", relatedKey=" + relatedKey +
                ", date=" + date +
                '}';
    }
}
