package com.uas.ps.inquiry.rabbit;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.amqp.core.Message;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.amqp.rabbit.support.CorrelationData;
import org.springframework.stereotype.Component;

/**
 * rabbit 生产者确认回调
 * @author liuam
 * @since 2018/9/12 0012 上午 9:53
 */
@Component
public class RabbitConfirmCallback implements RabbitTemplate.ConfirmCallback, RabbitTemplate.ReturnCallback {

    private static final Logger LOGGER = LoggerFactory.getLogger(RabbitConfirmCallback.class);

    @Override
    public void confirm(CorrelationData correlationData, boolean ack, String cause) {
        if (ack) {
            LOGGER.info("发送消息确认[RabbitConfirmCallback.confirm].正常,correlationData:{}", correlationData.getId());
        } else {
            LOGGER.error("发送消息确认[RabbitConfirmCallback.confirm].异常,correlationData:{},cause:{}", correlationData.getId(), cause);
        }
    }

    @Override
    public void returnedMessage(Message message, int replyCode, String replyText, String exchange, String routingKey) {
        LOGGER.error("发送消息确认到达队列[RabbitConfirmCallback.returnedMessage].异常,message:{},replyCode:{},replyText:{},exchange:{},routingKey:{}",
                message, replyCode, replyText, exchange, routingKey);
    }

}
