package com.uas.ps.inquiry.service.impl;

import com.uas.ps.inquiry.dao.InquiryLogDao;
import com.uas.ps.inquiry.model.InquiryLog;
import com.uas.ps.inquiry.service.InquiryLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 询价日志操作实现
 *
 * Created by hejq on 2018-01-31.
 */
@Service
@Transactional
public class InquiryLogServiceImpl implements InquiryLogService {

    @Autowired
    private InquiryLogDao inquiryLogDao;
    /**
     * 日志持久化保存
     *
     * @param logable
     */
    @Override
    public void save(InquiryLog logable) {
        inquiryLogDao.save(logable);
    }

    /**
     * 日志批量持久化保存
     *
     * @param logables
     */
    @Override
    public void save(Iterable<InquiryLog> logables) {
        inquiryLogDao.save(logables);
    }
}
